Bug 228943 - www/libwww: Fails to build with OpenSSL 1.1
Summary: www/libwww: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-06-12 14:32 UTC by Bernard Spil
Modified: 2018-10-20 05:44 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
Fix OpenSSL 1.x build (7.45 KB, patch)
2018-10-07 07:08 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-12 14:32:14 UTC
> checking whether we can find OpenSSL... 
> configure: error: Could not find the /usr/local libraries.  You must first install openSSL.

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.
Comment 2 Nathan 2018-10-05 22:13:08 UTC
I'll work on this
Comment 3 Nathan 2018-10-07 07:08:32 UTC
Created attachment 197860 [details]
Fix OpenSSL 1.x build

 www/libwww:
 
 * Fix OpenSSL build
 * Removed with-ssl flag, no longer needed
 
 PR:             228943
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 4 Danilo G. Baio freebsd_committer 2018-10-07 13:28:53 UTC
Bernard, do you mind in taking a look?

Nathan, thank you for your work.
Comment 5 Bernard Spil freebsd_committer 2018-10-08 11:24:02 UTC
(In reply to Nathan from comment #3)
Visual inspection of the patch shows it is OK.

Replaces libssl detection in autotools configure.
Nothing in the patch for HTSSL.c that strikes me as problematic, but I'm not a C coder.
> -    switch (ctx->error) {
> +    switch (ctx_error = X509_STORE_CTX_get_error(ctx)) {
Hope an assignment returns the correct value.
Comment 6 Nathan 2018-10-08 12:07:32 UTC
(In reply to Bernard Spil from comment #5)
IF I remember correctly I found the patches from netbsd 
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/libwww/patches/
Comment 7 commit-hook freebsd_committer 2018-10-13 19:37:55 UTC
A commit references this bug:

Author: dbaio
Date: Sat Oct 13 19:37:00 UTC 2018
New revision: 482007
URL: https://svnweb.freebsd.org/changeset/ports/482007

Log:
  www/libwww: Fix build with OpenSSL 1.1.x

  PR:		228943
  Submitted by:	Nathan <ndowens@yahoo.com> (based on)
  Reported by:	brnrd
  Obtained from:	NetBSD pkgsrc

Changes:
  head/www/libwww/files/patch-Library_src_SSL_HTSSL.c
  head/www/libwww/files/patch-configure
Comment 8 Danilo G. Baio freebsd_committer 2018-10-13 19:39:14 UTC
Committed.
Thank you both for the help.
Comment 9 commit-hook freebsd_committer 2018-10-20 05:44:34 UTC
A commit references this bug:

Author: antoine
Date: Sat Oct 20 05:43:39 UTC 2018
New revision: 482468
URL: https://svnweb.freebsd.org/changeset/ports/482468

Log:
  MFH: r482007 r482200

  www/libwww: Fix build with OpenSSL 1.1.x

  PR:		228943
  Submitted by:	Nathan <ndowens@yahoo.com> (based on)
  Reported by:	brnrd
  Obtained from:	NetBSD pkgsrc

  www/libwww: Unbreak with openssl-devel

  PR:		232303
  Submitted by:	meta
  Differential Revision:	https://reviews.freebsd.org/D17578

Changes:
_U  branches/2018Q4/
  branches/2018Q4/www/libwww/Makefile
  branches/2018Q4/www/libwww/files/patch-Library_src_SSL_HTSSL.c
  branches/2018Q4/www/libwww/files/patch-configure